
enum LIST_PACKET_NPC_IDS 
{
    NPC_LIST,
    CREATE_NPC,
    DESTROY_NPC,
    STREAMER,
    ADD_TO_STREAM,
    REMOVE_FROM_STREAM,
    NAME,
    INSTANCE,
    GROUP,
    COLOR,
    VISUAL,
    HEALTH,
    MAX_HEALTH,
    HIT_C,
    POSITION_S,
    POSITION_C,
    ANGLE_S, 
    ANGLE_R,
    TARGET,
    ATTACK_FIST,
    ATTACK_MELEE,
    ATTACK_RANGED,
    ATTACK_MAGIC,
    STOP_ATTACK,
    WEAPON_SKILL,
    ACTIVE_SPELL,
    EQUIP_ITEM,
    UNEQUIP_ITEM,
    PLAY_ANI,
    STOP_ANI,
    WEAPON_MODE,
    FOLLOW,
    PARADE
}

enum NPC_ITEM_IDS 
{
    MELEE_WEAPON = 0,
    RANGED_WEAPON = 1,
    ARMOR = 2,
    HELMET = 3
}